Description

Supportanfrage

Ich kämpfe gerade etwas mit CMake...

Laut Doku (Using CMake to build the ADTF examples) wird CMake 3.5.2 vorausgesetzt. Tatsächlich wird beim Bau der Examples

mindestens 3.10.0 verlangt.

Ich selbst setze CMake 3.11.0 ein.

Es werden für VisualStudio die Standard-Konfigurationen Debug, Release, RelWithDebInfo und MinSizeRel erzeugt.

Allerdings funktionieren nur Debug und RelWithDebInfo.

1>------ Erstellen gestartet: Projekt: demo_qt_media_description_display, Konfiguration: Release x

64 ------

1>stdafx.cpp

1>desc_display_filter.cpp

1>d:\dev\adtf\adtf\tags\v3_3_0\pkg\adtfui\include\adtfui\qt_string_intf.h(24): fatal error C1083: 

Datei (Include) kann nicht geöffnet werden: "QString": No such file or directory (Quelldatei wird 

kompiliert D:\dev\adtf\ADTF\tags\V3_3_0\src\examples\src\adtf\filters\qt\demo_md_display\stdafx.cp

p)

1>d:\dev\adtf\adtf\tags\v3_3_0\pkg\adtfui\include\adtfui\qt_string_intf.h(24): fatal error C1083: 

Datei (Include) kann nicht geöffnet werden: "QString": No such file or directory (Quelldatei wird 

kompiliert D:\dev\adtf\ADTF\tags\V3_3_0\src\examples\src\adtf\filters\qt\demo_md_display\desc_disp

lay_filter.cpp)

1>Die Erstellung des Projekts "demo_qt_media_description_display.vcxproj" ist abgeschlossen -- FEH

LER.

========== Erstellen: 0 erfolgreich, 1 fehlerhaft, 1 aktuell, 0 übersprungen ==========

 In der Doku ist von einer Einschränkung unter Linux die Rede.

Wunsch: Der Anwender sollte an der Stelle keine solche Einschränkung erfahren. CMake bietet Release-Libraries an. Diese sollten

für Release, RelWithDebInfo und MinSizeRel verwendet werden können.

Lasst mich bitte wissen, wenn ihr nen Tipp habt, an welcher Stelle ich patchen muss.

Lösung

Nach wie vor unterstützen wir nur RelWithDebInfo und Debug, das funktioniert.

Für Release gibt es eine Mapping Option, hier müssen die Anführungszeichen für den Reset entfernt werden.

Das soll in ACORE-9460 geschehen.

History

#1 - 2018-04-16 14:21 - hidden

- Project changed from Public Support to 11

- Status changed from New to In Progress

- Topic set to ADTF::Common
- Customer set to AUDI

- Department set to EX

- Affected Products ADTF 3.3.0 (BETA) added

#2 - 2018-04-16 14:30 - hidden

- File Qt5WidgetsConfig.cmake added

- File Qt5GuiConfig.cmake added

- File Qt5CoreConfig.cmake added

- File Qt5CoreConfigExtras.cmake added

Hallo,

 

das hilft bei mir…

 

_populate_Core_target_properties(RELWITHDEBINFO "Qt5Core.dll" "Qt5Core.lib" )

_populate_Gui_target_properties(RELWITHDEBINFO "Qt5Gui.dll" "Qt5Gui.lib" )

_populate_Widgets_target_properties(RELWITHDEBINFO "Qt5Widgets.dll" "Qt5Widgets.lib" )

 

    set_property(TARGET Qt5::WinMain APPEND PROPERTY IMPORTED_CONFIGURATIONS RELWITHDEBINFO)

 

    set_target_properties(Qt5::WinMain PROPERTIES

        IMPORTED_LOCATION_RELWITHDEBINFO ${imported_location}

    )

 

Allerdings ist das Patchen von QT wohl nicht der schönste Weg, um ADTF zum Laufen zu bringen.

Auch hier bin ich für Vorschläge offen, wie man das eleganter lösen kann.

 

MfG Jens

 

#3 - 2018-04-16 15:17 - hidden

In einem eigenen Modul, welches ich nach ADTF 3.3.0 Release portiert habe, musste ich die Reihenfolge von find_package ändern. Ansonsten findet

er auch hier QT nicht - Trotz gepatchtem QT-CMake-Skripten. Läuft bei mir:

set(CMAKE_PREFIX_PATH $ENV{QT_DIR})

find_package(Qt5 COMPONENTS Core Widgets REQUIRED)

find_package(ADTF REQUIRED)

#4 - 2018-04-17 13:23 - hidden

- Status changed from In Progress to Customer Feedback Required

Hallo Jens,

nachdem inzwischen der Release von ADTF 3.3.0 erfolgt ist:

Kannst Du bitte nochmals mit der Release-Version von ADTF 3.3.0 durchgehen welche Punkte damit bereits behoben sind?

Danke und Gruß

Matthias

2024-05-04 2/3



#5 - 2018-04-17 14:30 - hidden

Ich habe den Installer als ADTF 3.3.0 am Freitag Nachmittag von http://km-aev.in.audi.vwg/install_cd/adtf/v3.3.0_devil/ bezogen. Hat sie das Paket

seitdem nochmal geändert?

#6 - 2018-04-17 18:42 - hidden

gerade nochmal unter Linux mit dem aktuellen Installer getestet. Problem tritt hier auch auf. Auch hier bin ich den Workaround gegangen, dass ich

die CMake-Skripte von Qt erweitert habe. Einen anderen Weg der funktioniert, habe ich noch nicht gefunden (außer die CMake-Skripte von ADTF zu

erweitern, dass diese auch RELEASE bedienen, ohne auf RELWITHDEBINFO umzubiegen)

#7 - 2018-04-18 09:33 - hidden

- Status changed from Customer Feedback Required to In Progress

- Affected Products ADTF 3.3.0 added

- Affected Products deleted (ADTF 3.3.0 (BETA))

#9 - 2018-04-25 10:55 - hidden

Da haben wir schon Ticket ACORE-9460 erstellt.

#10 - 2018-04-26 09:34 - hidden

- Subject changed from ADTF 3.3.0: CMake to ADTF 3.3.0: problems builing with build type RELEASE

- Status changed from In Progress to To Be Closed

- Resolution set to Not Supported Scope

- Product Issue Numbers set to https://www.cip.audi.de/jira/browse/ACORE-9460

#11 - 2018-04-26 09:36 - hidden

- Subject changed from ADTF 3.3.0: problems builing with build type RELEASE to Problems builing with build type RELEASE

- Description updated

#12 - 2018-05-22 08:23 - hidden

- Project changed from 11 to Public Support

- Private changed from Yes to No

#13 - 2018-05-23 14:18 - hidden

- Status changed from To Be Closed to Closed

Files

Qt5WidgetsConfig.cmake 7.25 KB 2018-04-16 hidden

Qt5GuiConfig.cmake 6.77 KB 2018-04-16 hidden

Qt5CoreConfig.cmake 6.92 KB 2018-04-16 hidden

Qt5CoreConfigExtras.cmake 5.76 KB 2018-04-16 hidden
